﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            double euros = 0;
            if (double.TryParse(textBox1.Text, out euros))
            {
                if (euros == 0)
                {
                    MessageBox.Show("Vous n'avez entré aucune somme en euros !", "Processus interompu", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
                else
                {
                    DialogResult valid = DialogResult.OK;
                    if (textBox2.Text != "")
                    {
                        valid = MessageBox.Show("L'opération écrasera la zone dollars. Voulez-vous continuer ?", "Êtes-vous sûr ?", MessageBoxButtons.OKCancel, MessageBoxIcon.Question);
                    }
                    if (valid == DialogResult.OK)
                    {
                        double dollars = euros * 1.5;
                        textBox2.Text = Convert.ToString(dollars);
                    }
                }
            }
            else
            {
                MessageBox.Show("Vous n'avez entré aucune somme en euros !", "Processus interompu", MessageBoxButtons.OK, MessageBoxIcon.Error);
                textBox1.Text = "";
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            double dollars = 0;
            if (double.TryParse(textBox2.Text, out dollars))
            {
                if (dollars == 0)
                {
                    MessageBox.Show("Vous n'avez entré aucune somme en dollars !", "Processus interompu", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
                else
                {
                    DialogResult valid = DialogResult.OK;
                    if (textBox2.Text != "")
                    {
                        valid = MessageBox.Show("L'opération écrasera la zone euros. Voulez-vous continuer ?", "Êtes-vous sûr ?", MessageBoxButtons.OKCancel, MessageBoxIcon.Question);
                    }
                    if (valid == DialogResult.OK)
                    {
                        double euros = dollars / 1.5;
                        textBox1.Text = Convert.ToString(euros);
                    }
                }
            }
            else
            {
                MessageBox.Show("Vous n'avez entré aucune somme en dollars !", "Processus interompu", MessageBoxButtons.OK, MessageBoxIcon.Error);
                textBox2.Text = "";
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

    }
}
